'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var compiler = require('svelte/compiler');

const preprocessChain = preprocessors => {
  return {
    markup: async ({
      content,
      filename
    }) => preprocessors.reduce(async (previousResult, preprocessor) => {
      const {
        code
      } = await previousResult;
      return compiler.preprocess(code || content, preprocessor, {
        filename
      });
    }, Promise.resolve({
      code: ""
    }))
  };
};

module.exports = preprocessChain;

exports.default = preprocessChain;
//# sourceMappingURL=index.js.map
